#!/bin/bash
set -e

if [ "$1" = 'update' ]; then
  cd $SSDT_HOME
  if [ ! -d ".hg" ]; then
      echo "cloning repository $SSDT_DOCKER  to $SSDT_HOME"
      mkdir -p $SSDT_HOME
      hg init
  fi
  echo "pulling updates"
  hg pull -y $SSDT_DOCKER
  hg revert -a
  hg update default

else

  exec "$@"

fi
